libmoosex-semiaffordanceaccessor-perl_0.10-1_all.deb


Advertisement

Description

libmoosex-semiaffordanceaccessor-perl - Perl module to generate accessors automatically

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-semiaffordanceaccessor-perl
Package version: 0.10
Package release: 1
Package architecture: all
Package type: deb
Installed size: 23 B
Download size: 13.70 KB
Official Mirror: ftp.br.debian.org
MooseX::SemiAffordanceAccessor is a module that changes the default naming policy for the loading class so that methods are separated into accessors (which have the same name as the attribute) and mutators (via set_ methods). It is compatible with existing naming schemes, since attributes that explicitly provide a "reader" or "writer" name are left unchanged. The terminology "semi-affordance" is inspired by David Wheeler's Class::Meta module (see libclass-meta-perl).

    Download

    Source package: libmoosex-semiaffordanceaccessor-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-semiaffordanceaccessor-perl deb package:
      # sudo apt-get install libmoosex-semiaffordanceaccessor-perl

    Files

    • /usr/share/doc/libmoosex-semiaffordanceaccessor-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-semiaffordanceaccessor-perl/changelog.gz
    • /usr/share/doc/libmoosex-semiaffordanceaccessor-perl/copyright
    • /usr/share/man/man3/MooseX::SemiAffordanceAccessor.3pm.gz
    • /usr/share/man/man3/MooseX::SemiAffordanceAccessor::Role::Attribute.3pm.gz
    • /usr/share/perl5/MooseX/SemiAffordanceAccessor.pm
    • /usr/share/perl5/MooseX/SemiAffordanceAccessor/Role/Attribute.pm

    Changelog

    2014-10-14 - intrigeri <intrigeri@debian.org> libmoosex-semiaffordanceaccessor-perl (0.10-1) unstable; urgency=medium * Team upload. * New upstream release. * Update upstream Git repository URL. * Declare compliance with Standards-Version 3.9.6 (no change needed). * whatis.patch: dropped, applied upstream.

    2014-08-28 - intrigeri <intrigeri@debian.org> libmoosex-semiaffordanceaccessor-perl (0.09-2) unstable; urgency=low * Team upload. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. * Fix spelling error in package description. Thanks to Clayton Casciato for the bug report and the patch. (Closes: #687592) [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ intrigeri ] * Add debian/upstream/metadata. * Declare compatibility with Standards-Version 3.9.5 (no change required). * Cleanup debian/control with cme. * Add missing Files: specification in debian/copyright. * Adjust debian/copyright to be in line with the 1.0 revision of the machine-readable format.

    2011-04-21 - gregor herrmann <gregoa@debian.org> libmoosex-semiaffordanceaccessor-perl (0.09-1) unstable; urgency=low [ Ansgar Burchardt ] * Email change: Ansgar Burchardt -> ansgar@debian.org [ Jonathan Yu ] * New upstream release [ gregor herrmann ] * debian/copyright: update years of upstream and packaging copyright, refresh license stanzas. * Bump (build) dependency on libmoose-perl. * Add /me to Uploaders. * Set Standards-Version to 3.9.2 (no further changes). * Bump debhelper compatibility level to 8.

    2010-07-21 - Ansgar Burchardt <ansgar@43-1.org> libmoosex-semiaffordanceaccessor-perl (0.08-1) unstable; urgency=low * New upstream release.

    2010-07-15 - Ansgar Burchardt <ansgar@43-1.org> libmoosex-semiaffordanceaccessor-perl (0.07-1) unstable; urgency=low [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Ryan Niebur ] * Update jawnsy's email address [ gregor herrmann ] * debian/control: Changed: (build-)depend on perl instead of perl- modules. [ Ansgar Burchardt ] * New upstream release. * Now licensed under Artistic-2.0. * debian/copyright: Formatting changes for current DEP-5 proposal. * Bump (build-)dep on libmoose-perl to >= 0.94. * Remove build-dep on libmodule-build-perl (no longer used upstream). * Add build-dep on perl (>= 5.10.1) | libtest-simple-perl (>= 0.88). * Stop running author and release tests. * Remove build-dep on libtest-pod-perl, libtest-pod-coverage-perl. * Lower build-dep on debhelper to >= 7. * Use source format 3.0 (quilt). * Bump Standards-Version to 3.9.0 (no changes). * Add myself to Uploaders.

    2009-07-16 - Jonathan Yu <frequency@cpan.org> libmoosex-semiaffordanceaccessor-perl (0.05-1) unstable; urgency=low * New upstream release + Depend on Moose 0.84 to prevent test failures

    2009-07-09 - Jonathan Yu <frequency@cpan.org> libmoosex-semiaffordanceaccessor-perl (0.04-1) unstable; urgency=low * New upstream release + Fixes bug (RT#47711) + Added a test * Standards-Version 3.8.2 (no changes) [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    2009-05-21 - Jonathan Yu <frequency@cpan.org> libmoosex-semiaffordanceaccessor-perl (0.03-1) unstable; urgency=low * Initial Release. (Closes: #529813)

    Advertisement
    Advertisement